/* 
	--------------------------------------------------------------
	order_pdf_delete.js 2014-08-07 tb@gambio
	Gambio GmbH
	http://www.gambio.de
	Copyright (c) 2014 Gambio GmbH
	Released under the GNU General Public License (Version 2)
	[http://www.gnu.org/licenses/gpl-2.0.html]
	--------------------------------------------------------------
*/

(function($){
	$.order_pdf_delete = function(options){      

		$("body").delegate(".delete_pdf", "click", delete_pdf);
		
		function delete_pdf(){
			
			Check = confirm("Möchten Sie die Datei wirklich löschen?");
			if (Check == true)
			{
				var self = this;
				var type = $(self).closest("tr").attr("class");
				$.ajax({
					type: "POST",
					url: "request_port.php?module=Order&action=delete_pdf",
					data: {"type": type, "file": $(self).attr("rel")},
					success: function(template){
						$(self).closest("tr").remove();
						console.log($("." + type).length);
						if($("tr." + type).length == 1)
						{
							$("tr." + type).show();
						}
					}
				});
			}
			return false;
		}
		
		return false;      
	};  
})(jQuery);

$(document).ready(function(){
	if($("a.delete_pdf").length > 0){
		$.order_pdf_delete();
	}	
});
